package nsdb;

public interface NucFeatureOperations
	extends seqdb.FeatureOperations
{
	public nsdb.NucFeaturePackage.Qualifier[] getQualifiers() throws type.NoResult;
	public nsdb.NucFeaturePackage.Qualifier getQualifier(java.lang.String qualifier_name) throws type.NoResult,type.InvalidRelation;
	public type.DbXref[] getNucSeqs();
	public nsdb.FeatureLocation getLocation() throws type.NoResult;
}
